### Function

# Ide BuildLogObserver

#### Declaration

    void
    (* IdeBuildLogObserver) (
      IdeBuildLogStream log_stream,
      const gchar* message,
      gssize message_len,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`log_stream` | `IdeBuildLogStream`
| No description available.
`message` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`message_len` | `gssize`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.